import { cashOut } from "@/api";

/**分成收益模型 */
export class CashOutModel {
  private api = cashOut;

  /**查询收益列表 */
  async extensionIncomeList() {
    const res = await this.api.extensionIncomeList();
    return {
      rows: res.data.rows,
      total: res.data.total,
    };
  }

  /**查询收益金额（总金额、已提现金额、未提现金额） */
  async extensionIncomePrice() {
    const res = await this.api.extensionIncomePrice();
    return res.data.data;
  }
}
